/*! \file */
/* ************************************************************************
* Copyright (C) 2023 Advanced Micro Devices, Inc. All rights Reserved.
*
* Permission is hereby granted, free of charge, to any person obtaining a copy
* of this software and associated documentation files (the "Software"), to deal
* in the Software without restriction, including without limitation the rights
* to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
* copies of the Software, and to permit persons to whom the Software is
* furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
* THE SOFTWARE.
*
* ************************************************************************ */

/*! \file
*  \brief rocsparse-level2.h provides Sparse Linear Algebra Subprograms
*  of Level 2
*/

#ifndef ROCSPARSE_LEVEL2_H
#define ROCSPARSE_LEVEL2_H

#include "level2/rocsparse_bsrmv.h"
#include "level2/rocsparse_bsrsv.h"
#include "level2/rocsparse_bsrxmv.h"
#include "level2/rocsparse_coomv.h"
#include "level2/rocsparse_csritsv.h"
#include "level2/rocsparse_csrmv.h"
#include "level2/rocsparse_csrsv.h"
#include "level2/rocsparse_ellmv.h"
#include "level2/rocsparse_gebsrmv.h"
#include "level2/rocsparse_gemvi.h"
#include "level2/rocsparse_hybmv.h"

#endif // ROCSPARSE_LEVEL2_H
